<%@ Control Language="vb" Inherits="DotNetNuke.Entities.Modules.PortalModuleBase" %>
<%@ Import Namespace="DotNetNuke" %>
<%@ Import Namespace="CuteChat" %>
<%@ Import Namespace="System.Data" %>
<%@ Register TagPrefix="uc1" TagName="EmbedChannel" Src="../CuteChat/EmbedChannel.ascx" %>

<script runat="server">

    Private lobby As IChatLobby
	
	Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
		MyBase.OnLoad(e)
		
		For Each lobby In ChatApi.GetLobbyArray()
			If lobby.Integration = "EmbedLobby" & ModuleId Then
				
                If lobby.Title <> ModuleConfiguration.ModuleTitle Then
                    lobby.Title = ModuleConfiguration.ModuleTitle
                    ChatApi.UpdateLobby(lobby)
                End If

                EmbedChannel1.CustomQuery = "?Place=Lobby-" & lobby.LobbyId
				Return
			End If
		Next
		
        lobby = ChatApi.CreateLobbyInstance()
        lobby.Title = ModuleConfiguration.ModuleTitle
		lobby.Integration = "EmbedLobby" & ModuleId
		lobby.AllowAnonymous = True
		
		ChatApi.CreateLobby(lobby)
		
        EmbedChannel1.CustomQuery = "?Place=Lobby-" & lobby.LobbyId
		
	End Sub
        
</script>

<script>
Embed_Place="Lobby-<%=lobby.LobbyId %>"
</script>
<uc1:EmbedChannel runat=server ID=EmbedChannel1>
</uc1:EmbedChannel>